Skip to main content
GET
/
v2
/
earn
/
pendle_markets
Python (SDK)
from compass_api_sdk import CompassAPI, models


with CompassAPI(
    api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:

    res = compass_api.earn.earn_pendle_markets(order_by="tvl_usd", direction=models.V2EarnPendleMarketsDirection.DESC, offset=0, limit=50)

    # Handle response
    print(res)
import { CompassApiSDK } from "@compass-labs/api-sdk";

const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});

async function run() {
const result = await compassApiSDK.earn.earnPendleMarkets({
orderBy: "tvl_usd",
direction: "desc",
offset: 0,
limit: 50,
});

console.log(result);
}

run();
curl --request GET \
--url https://api.compasslabs.ai/v2/earn/pendle_markets \
--header 'x-api-key: <api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.compasslabs.ai/v2/earn/pendle_markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 123,
  "offset": 123,
  "limit": 123,
  "markets": [
    {
      "chain": "ethereum",
      "expiry": 1735689600,
      "implied_apy": "8.52",
      "market_address": "0x7d372819240D14fB477f17b964f95F33BeB4c704",
      "pt_address": "0xc69Ad9baB1dEE23F4605a82b3354F8E40d1E5966",
      "pt_name": "PT weETH 26DEC2024",
      "pt_symbol": "PT-weETH-26DEC2024",
      "sy_address": "0xAC0047886a985071476a1186bE89222659970d65",
      "tvl_usd": "45000000.00",
      "underlying_asset": "0xCd5fE23C85820F7B72D0926FC9b05b43E359b7ee",
      "underlying_name": "Wrapped eETH",
      "underlying_symbol": "weETH",
      "yt_address": "0xfb35Fd0095dD1096b1Ca49AD44d8C5812A201677"
    },
    {
      "chain": "arbitrum",
      "expiry": 1743465600,
      "implied_apy": "12.35",
      "market_address": "0xD0354D4e7bCf345fB117cabe41aCaDb724eccA91",
      "pt_address": "0x1c27Ad8a19Ba026ADaBD615F6Bc77158130cfBE4",
      "pt_name": "PT ezETH 27MAR2025",
      "pt_symbol": "PT-ezETH-27MAR2025",
      "sy_address": "0x80c12D5b6Cc494632Bf11b03F09436c8B61Cc5Df",
      "tvl_usd": "28500000.00",
      "underlying_asset": "0x35751007a407ca6FEFfE80b3cB397736D2cf4dbe",
      "underlying_name": "Renzo Restaked ETH",
      "underlying_symbol": "ezETH",
      "yt_address": "0x0000000000000000000000000000000000000000"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Your Compass API Key. Get your key here.

Query Parameters

order_by
string
default:tvl_usd
required

The field to order the results by.

direction
enum<string>
default:desc

The direction to order the results by.

Available options:
asc,
desc
offset
integer
default:0

The offset of the first item to return.

limit
integer
default:50

The number of items to return.

Required range: x <= 1000
chain
enum<string> | null

Optional chain filter. If not provided, returns markets for all chains. The chain to use.

Available options:
base,
ethereum,
arbitrum,
hyperevm,
tempo,
bsc
underlying_symbol
string | null

Filter markets by underlying asset symbol (e.g., 'USDC', 'WETH').

min_tvl_usd

Minimum TVL in USD. Markets with TVL below this value will be excluded.

Response

Successful Response

Response model for a paginated list of Pendle markets.

total
integer
required
offset
integer
required
limit
integer
required
markets
PendleMarketInfo · object[]
required

A list of Pendle market information objects.

Example:
[
{
"chain": "ethereum",
"expiry": 1735689600,
"implied_apy": "8.52",
"market_address": "0x7d372819240D14fB477f17b964f95F33BeB4c704",
"pt_address": "0xc69Ad9baB1dEE23F4605a82b3354F8E40d1E5966",
"pt_name": "PT weETH 26DEC2024",
"pt_symbol": "PT-weETH-26DEC2024",
"sy_address": "0xAC0047886a985071476a1186bE89222659970d65",
"tvl_usd": "45000000.00",
"underlying_asset": "0xCd5fE23C85820F7B72D0926FC9b05b43E359b7ee",
"underlying_name": "Wrapped eETH",
"underlying_symbol": "weETH",
"yt_address": "0xfb35Fd0095dD1096b1Ca49AD44d8C5812A201677"
},
{
"chain": "arbitrum",
"expiry": 1743465600,
"implied_apy": "12.35",
"market_address": "0xD0354D4e7bCf345fB117cabe41aCaDb724eccA91",
"pt_address": "0x1c27Ad8a19Ba026ADaBD615F6Bc77158130cfBE4",
"pt_name": "PT ezETH 27MAR2025",
"pt_symbol": "PT-ezETH-27MAR2025",
"sy_address": "0x80c12D5b6Cc494632Bf11b03F09436c8B61Cc5Df",
"tvl_usd": "28500000.00",
"underlying_asset": "0x35751007a407ca6FEFfE80b3cB397736D2cf4dbe",
"underlying_name": "Renzo Restaked ETH",
"underlying_symbol": "ezETH",
"yt_address": "0x0000000000000000000000000000000000000000"
}
]